> ## Documentation Index
> Fetch the complete documentation index at: https://developers.greetai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite candidate

> This endpoint invites candidate to the screening interview.

### Body

<ParamField body="job_id" type="string">
  Unique identifier of a job. Ensures that the same job does not get recreated
  on every request.
</ParamField>

<ParamField body="job_title" type="string">
  The job position name which the AI should use to conduct the screening.
</ParamField>

<ParamField body="job_description" type="string">
  A high-level job description that the AI should refer to for guidance during
  the screening process. A detailed description is preferable.
</ParamField>

<ParamField body="applicant_full_name" type="string">
  The name of the candidate to be invited.
</ParamField>

<ParamField body="applicant_email" type="string">
  The email address of the candidate where the invitation link will be sent.
</ParamField>

### Response

<ResponseField name="scheduleLink" type="string">
  URL where the candidate can schedule the screening interview.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'http://messaging.greetai.co/api/invite' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <token>' \
  --data-raw '{
      "job_id": "unique_job_id",
      "job_title": "Indian Sales Representative",
      "job_description": "MarketStar is looking for an Inside Sales Representative to help support our newest client...",
      "applicant_full_name": "Nika Shelia",
      "applicant_email": "nshprimary@gmail.com"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "scheduleLink": "https://app.greetai.com/schedule/#1234"
  }
  ```
</ResponseExample>
